> For the complete documentation index, see [llms.txt](https://docs.inverter.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inverter.network/sdk/react-sdk/deploy-a-contract.md).

# Deploy a Contract

## **Setup Requirements**

* **Set up Inverter Network SDK**: Refer to the[ Quick Start](/sdk/react-sdk.md) guide for detailed instructions.

As we have some in house headless contracts and they can be used as dependancies to our `Worfklow`'s we have a React SDK api for the deployment of contracts.

## Deploying the Contract

**Parameters**

* **`name` (required)**:\
  This parameter points to the contract to be deployed.
* `kind` **(optional)**:\
  This parameter is to select return type 'write' | 'bytecode' (default 'write').
* `useTags` **(optional):**\
  This parameter is to optionally disable auto format parse for inputs and outputs (default true).

{% code overflow="wrap" %}

```typescript
'use client'

import { useDeploy } from '@inverter-network/react/client'

import { Button } from '@/components/ui/buttom'
import { FloatingLabelInput } from '@/components/ui/floating-label-input'

export default function Page() {
  const { mutate, isPending, userArgs, handleSetUserArgs } = useDeploy({
    kind: 'write'
    name: 'ERC20Issuance_Blacklist_v1', // Type safe names you can prompt intellisense
  })

  // Return a simple ui to trigger the flow
  return (
    <form
      className="w-screen h-screen flex flex-col items-center gap-3 justify-center"
      onSubmit={(e) => {
        e.preventDefault()
        mutate()
      }}
    >
      <h1>
        Transaction Hash: {mutate.data?.transactionHash ?? 'Not Deployed'}
      </h1>

      <h1>
        Contract Address: {mutate.data?.contractAddress ?? 'Not Deployed'}
      </h1>

      <FloatingLabelInput
        label="Token Name"
        name="name"
        value={userArgs.name}
        onChange={(e) => handleSetUserArgs('name', e.target.value)}
      />

      <FloatingLabelInput
        label="Token Symbol"
        name="symbol"
        value={userArgs.symbol}
        onChange={(e) => handleSetUserArgs('symbol', e.target.value)}
      />

      <FloatingLabelInput
        label="Token Decimals"
        name="decimals"
        value={userArgs.decimals}
        onChange={(e) => handleSetUserArgs('decimals', e.target.value)}
      />

      <FloatingLabelInput
        label="Token Max Supply"
        name="maxSupply"
        value={userArgs.maxSupply}
        onChange={(e) => handleSetUserArgs('maxSupply', e.target.value)}
      />

      <FloatingLabelInput
        label="Token Initial Admin"
        name="initialAdmin"
        value={userArgs.initialAdmin}
      />

      <Button type="submit" loading={isPending}>
        Deploy
      </Button>
    </form>
  )
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inverter.network/sdk/react-sdk/deploy-a-contract.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
